Groovy 1.7.0

## org.codehaus.groovy.tools.shell.commands
Class ShadowCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.ShadowCommand

    class ShadowCommand
    extends ComplexCommandSupport

The 'shadow' command.

version:
  $Id: ShadowCommand.groovy 8432 2007-10-07 08:55:37Z user57 $

author:
  Jason Dillon

Property Summary
`def` | `do_debug`
`def` | `do_info`
`def` | `do_this`
`def` | `do_verbose`

Constructor Summary
`ShadowCommand(Shell shell)`

Method Summary

Methods inherited from class ComplexCommandSupport
createCompletors, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getHistory, getImports, getVariables

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### do_debug

    def do_debug

### do_info

    def do_info

### do_this

    def do_this

### do_verbose

    def do_verbose

Constructor Detail

### ShadowCommand

    public ShadowCommand(Shell shell)

Copyright © 2003-2009 The Codehaus. All rights reserved.